# Uses of Interface
org.opensaml.saml.metadata.resolver.index.MetadataIndex

Packages that use MetadataIndex
Package
Description
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.
org.opensaml.saml.metadata.resolver.index.impl
Implementation of the metadata resolver indexes.

## Uses of MetadataIndex in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl with type parameters of type MetadataIndex
Modifier and Type
Field
Description
`private Set<MetadataIndex>`
AbstractBatchMetadataResolver.`indexes`
The set of indexes configured.
`private Set<MetadataIndex>`
AbstractDynamicMetadataResolver.`indexes`
The set of indexes configured.
Methods in org.opensaml.saml.metadata.resolver.impl that return types with arguments of type MetadataIndex
Modifier and Type
Method
Description
`Set<MetadataIndex>`
AbstractBatchMetadataResolver.`getIndexes()`
Get the configured indexes.
`Set<MetadataIndex>`
AbstractDynamicMetadataResolver.`getIndexes()`
Get the configured indexes.
Method parameters in org.opensaml.saml.metadata.resolver.impl with type arguments of type MetadataIndex
Modifier and Type
Method
Description
`void`
AbstractBatchMetadataResolver.`setIndexes(Set<MetadataIndex> newIndexes)`
Set the configured indexes.
`void`
AbstractDynamicMetadataResolver.`setIndexes(Set<MetadataIndex> newIndexes)`
Set the configured indexes.
Constructor parameters in org.opensaml.saml.metadata.resolver.impl with type arguments of type MetadataIndex
Modifier
Constructor
Description
`protected`
`BatchEntityBackingStore(Set<MetadataIndex> initIndexes)`
Constructor.
`protected`
`DynamicEntityBackingStore(Set<MetadataIndex> initIndexes)`
Constructor.

## Uses of MetadataIndex in org.opensaml.saml.metadata.resolver.index.impl

Classes in org.opensaml.saml.metadata.resolver.index.impl that implement MetadataIndex
Modifier and Type
Class
Description
`class`
`EndpointMetadataIndex`
An implementation of `MetadataIndex` which indexes entities by their role endpoint locations.
`class`
`FunctionDrivenMetadataIndex`
Implementation of `MetadataIndex` which is based on injected strategy functions.
`class`
`RoleMetadataIndex`
An implementation of `MetadataIndex` which indexes entities by their roles.
`class`
`SAMLArtifactMetadataIndex`
An implementation of `MetadataIndex` which indexes entities by their artifact SourceID values.
Fields in org.opensaml.saml.metadata.resolver.index.impl with type parameters of type MetadataIndex
Modifier and Type
Field
Description
`private final Map<MetadataIndex,MetadataIndexStore<T>>`
MetadataIndexManager.`indexes`
Storage for secondary indexes.
Methods in org.opensaml.saml.metadata.resolver.index.impl that return types with arguments of type MetadataIndex
Modifier and Type
Method
Description
`Set<MetadataIndex>`
MetadataIndexManager.`getIndexes()`
Get the set of all `MetadataIndex` instances currently initialized.
Methods in org.opensaml.saml.metadata.resolver.index.impl with parameters of type MetadataIndex
Modifier and Type
Method
Description
`protected MetadataIndexStore<T>`
MetadataIndexManager.`getStore(MetadataIndex index)`
Get the `MetadataIndexStore` for the specified `MetadataIndex`.
Constructor parameters in org.opensaml.saml.metadata.resolver.index.impl with type arguments of type MetadataIndex
Modifier
Constructor
Description
``
`LockableMetadataIndexManager(Set<MetadataIndex> initIndexes, Function<EntityDescriptor,T> extractionFunction)`
Constructor.
``
`MetadataIndexManager(Set<MetadataIndex> initIndexes, Function<EntityDescriptor,T> extractionFunction)`
Constructor.